set more off

capture log close
log using diGiovanni_Levchenko_Comovement_AEJmacro_TableA4, text replace

/*
    Date: July 13, 2009
    
    Program: this file reproduces Table A4 of di Giovanni and Levchenko, 
             "Putting the Parts Together: Trade, Vertical Linkages, and 
             Business Cycle Comovement", AEJ: Macro.

*/

clear
set mem 800m

use ../data/aggregsdata

qui tab ifscode2, ge(ifs2dum)

areg corr_growth_gdp lbitrade_gdp ifs2dum*, abs(ifscode1) r
areg corr_growth_gdp lbitrade_output ifs2dum* if e(sample), abs(ifscode1) r
areg corr_growth_gdp lbitrade_tottrade ifs2dum* if e(sample), abs(ifscode1) r

areg corr_growth_gdp lbitrade_gdp ifs2dum* if e(sample), abs(ifscode1) r
outreg lbitrade_gdp using aggregs_gdp, replace coef 10pct rdec(3) se nolabel ctitle("Trade/GDP")
areg corr_growth_gdp lbitrade_output ifs2dum* if e(sample), abs(ifscode1) r
outreg lbitrade_output using aggregs_gdp, append coef 10pct rdec(3) se nolabel ctitle("Trade/Output")
areg corr_growth_gdp lbitrade_tottrade ifs2dum* if e(sample), abs(ifscode1) r
outreg lbitrade_tottrade using aggregs_gdp, append coef 10pct rdec(3) se nolabel ctitle("Trade/Total Trade")

areg corr_growth_indx_agg lbitrade_gdp ifs2dum*, abs(ifscode1) r
outreg lbitrade_gdp using aggregs_indx, replace coef 10pct rdec(3) se nolabel ctitle("Trade/GDP")
areg corr_growth_indx_agg lbitrade_output ifs2dum*, abs(ifscode1) r
outreg lbitrade_output using aggregs_indx, append coef 10pct rdec(3) se nolabel ctitle("Trade/Output")
areg corr_growth_indx_agg lbitrade_tottrade ifs2dum*, abs(ifscode1) r
outreg lbitrade_tottrade using aggregs_indx, append coef 10pct rdec(3) se nolabel ctitle("Trade/Total Trade")

log close
